Bug 739082 - openais deadlocks during rapid start/stop of process
Summary: openais deadlocks during rapid start/stop of process
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais
Version: 5.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 726142
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 14:25 UTC by RHEL Product and Program Management
Modified: 2011-12-13 15:15 UTC (History)
10 users (show)

Fixed In Version: openais-0.80.6-28.el5_6.3
Doc Type: Bug Fix
Doc Text:
In rare cases, rapidly starting and stopping the openais service sometimes resulted in a deadlock. This update adapts the underlying source code to prevent such a deadlock, resolving this issue. Deadlock situations no longer happen during a rapid start/stop process.
Clone Of:
Environment:
Last Closed: 2011-11-08 03:54:38 UTC


Attachments (Terms of Use)
5.6.z-revision-2179 (620 bytes, patch)
2011-10-03 13:55 UTC, Jan Friesse
no flags Details | Diff
5.6.z-revision-2180 (1.33 KB, patch)
2011-10-03 13:55 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1432 normal SHIPPED_LIVE openais bug fix update 2011-11-08 08:54:20 UTC

Description RHEL Product and Program Management 2011-09-16 14:25:18 UTC
This bug has been copied from bug #726142 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 4 Jan Friesse 2011-10-03 13:55:21 UTC
Created attachment 526070 [details]
5.6.z-revision-2179

Comment 5 Jan Friesse 2011-10-03 13:55:27 UTC
Created attachment 526071 [details]
5.6.z-revision-2180

Comment 8 Miroslav Svoboda 2011-11-03 18:04:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In rare cases, rapidly starting and stopping the openais service sometimes resulted in a deadlock. This update adapts the underlying source code to prevent such a deadlock, resolving this issue. Deadlock situations no longer happen during a rapid start/stop process.

Comment 9 errata-xmlrpc 2011-11-08 03:54:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1432.html


Note You need to log in before you can comment on or make changes to this bug.